# Other Symptoms

| **API URL**     | {{url}}/spice-service/assessment/create |
| --------------- | --------------------------------------- |
| **Method**      | POST                                    |
| **Description** | Assessment Creation of other symptoms   |

#### **Input:** <a href="#othersymptoms-v2-input" id="othersymptoms-v2-input"></a>

| **Field Name**         | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ---------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization (Header) | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                 | String   | Yes           | mob                                                                                                                                     |
| household              | String   | Yes           | Households details                                                                                                                      |
| householdMember        | String   | Yes           | Household Members details                                                                                                               |
| assessment             | String   | Yes           | Assessment details                                                                                                                      |
| otherSymptoms          | String   | Yes           | Other Symptoms                                                                                                                          |
| signsAndSymptoms       | String   | Yes           | Signs And Symptoms                                                                                                                      |
| symptoms               | String   | Yes           | abdominal pain, chest pain                                                                                                              |
| fever                  | String   | Yes           | rdtTest: +ve, act: NA, hasFever: true, noOfDaysOfFever: 22                                                                              |
| assessmentType         | String   | Yes           | OTHER\_SYMPTOMS                                                                                                                         |
| encounter              | String   | Yes           | Encounter details like patient details and organization details                                                                         |
| endTime                | Date     | Yes           | End Time                                                                                                                                |
| householdId            | Bigint   | Yes           | Household Id                                                                                                                            |
| latitude               | Double   | Yes           | Location details                                                                                                                        |
| longitude              | Double   | Yes           | longitude details                                                                                                                       |
| memberId               | Bigint   | Yes           | Household Member Id                                                                                                                     |
| patientId              | Bigint   | Yes           | Patient Id                                                                                                                              |
| provenance             | String   | Yes           | Provenance details                                                                                                                      |
| referred               | Boolean  | Yes           | Patient Referred status                                                                                                                 |
| startTime              | Date     | Yes           | Start Time                                                                                                                              |
| patientStatus          | String   | Yes           | Patient Status                                                                                                                          |
| referenceId            | Bigint   | Yes           | Reference ID for a household member                                                                                                     |
| referredReasons        | String   | Yes           | Symptoms, Malaria                                                                                                                       |
| summary                | String   | Yes           | referredSiteId                                                                                                                          |
| updatedAt              | Date     | Yes           | Updated At                                                                                                                              |
| villageId              | Bigint   | Yes           | Village ID for assessment                                                                                                               |

#### **Sample Input:** <a href="#othersymptoms-v2-sampleinput" id="othersymptoms-v2-sampleinput"></a>

{\
"households": \[],\
"householdMembers": \[],\
"assessment": {\
"assessmentDetail": {\
"otherSymptoms": {\
"signsAndSymptoms": {\
"symptoms": \[\
"abdominalPain",\
"chestPain"\
]\
},\
"fever": {\
"rdtTest": "+ve",\
"act": "NA",\
"hasFever": true,\
"noOfDaysOfFever": 22\
}\
}\
},\
"assessmentType": "OTHER\_SYMPTOMS",\
"encounter": {\
"endTime": "2025-01-27T06:39:24.923Z",\
"householdId": "2016852",\
"latitude": 37.4219983,\
"longitude": -122.084,\
"memberId": "1",\
"patientId": "2",\
"provenance": {\
},\
"referred": true,\
"startTime": "2025-01-27T06:39:24.923Z"\
},\
"patientStatus": "Referred",\
"referenceId": 1,\
"referredReasons": "Symptoms, Malaria",\
"summary": {\
"referredSiteId": 44\
},\
"updatedAt": 1737959934220,\
"villageId": "11"\
},\
"followUps": \[],\
"householdMemberLinks": \[]\
}

#### **Output:** <a href="#othersymptoms-v2-output" id="othersymptoms-v2-output"></a>

| **Field Name**     | **Type** | **Comments**                    |
| ------------------ | -------- | ------------------------------- |
| <p>Message<br></p> | String   | Assessment Created Successfully |

#### **Sample Output:** <a href="#othersymptoms-v2-sampleoutput" id="othersymptoms-v2-sampleoutput"></a>

```
{
  "message": "Assessment Created Successfully.",
  "entity": null,
  "status": true,
  "entityList": null,
  "responseCode": 201,
  "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/assessment/other-symptoms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
